docs.emix.ai
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
Market
File Upload API
Market
File Upload API
  1. Wan
  • Getting Started with Emix API (Important)
  • Market
  • Image Models
    • Seedream
      • Seedream4.5 - Text to Image
      • Seedream4.5 - Edit
      • Seedream5.0 Lite - Text to Image
      • Seedream5.0 Lite - Image to Image
      • Seedream5.0 Pro - Text to Image
      • Seedream5.0 Pro - Image to Image
    • Google
      • Google - Nano Banana
      • Google - Nano Banana Pro
      • Google - Nano Banana 2
      • Google - Nano Banana 2 Lite
    • Grok Imagine
      • Grok Imagine - Text to Image
      • Grok Imagine - image to image
    • GPT Image
      • GPT Image-1.5 - Text to Image
      • GPT Image-1.5 - Image to Image
      • GPT Image-2 - Text to Image
      • GPT Image 2 - Image To Image
    • Wan
      • Wan 2.7 Image
      • Wan 2.7 Image Pro
  • Video Models
    • Grok Imagine
      • Grok Imagine Text to Video
      • Grok Imagine Image to Video
      • Grok Imagine - Video Upscale
      • Grok Imagine - Video Extend
      • Grok Imagine Video 1.5 Preview
    • Kling
      • Kling 2.6 Text to Video
      • Kling 2.6 Image to Video
      • Kling AI Avatar Standard
      • Kling AI Avatar Pro
      • Kling V2.1 Master Image to Video
      • Kling V2.1 Master Text to Video
      • Kling V2.1 Pro
      • Kling V2.1 Standard
      • Kling 2.6 motion-control
      • Kling-3.0 motion-control
      • Kling 3.0
    • Bytedance
      • Bytedance Seedance 2.0
      • Bytedance Seedance 2.0 Fast
      • Bytedance Seedance 2.0 Mini
    • Veo3.1 API
      • VEO 3.1 Text to video
      • VEO 3.1 Image to video
      • VEO 3.1 Reference to vidoe
    • Wan
      • Wan 2.6 - Image to Video
        POST
      • Wan 2.6 - Text to Video
        POST
      • Wan 2.6 - Video to Video
        POST
      • Wan 2.7 - Text to Video
        POST
      • Wan 2.7 - Image to Video
        POST
      • Wan 2.7 - Video Edit
        POST
      • Wan 2.7 - Reference to Video
        POST
    • HappyHorse
      • HappyHorse-1-1 image-to-video
      • HappyHorse-1-1 text-to-video
      • HappyHorse-1-1 reference-to-video
    • Gemini Omni
      • Gemini Omni Video
      • Gemini Omni Audio
      • Gemini Omni Character
  • Chat Models
    • Claude
      • Claude Code + emix.ai Integration Guide
      • Claude Sonnet 5
    • Gemini
      • Gemini 3.5 Flash (openai)
    • Grok
      • Grok 4.5
      • Grok 4.3
  • Get Task Details
    GET
  1. Wan

Wan 2.6 - Video to Video

POST
/api/v1/client/tasks
Transform existing videos with new prompts using Wan's advanced AI model

Overview#

Transform existing videos by applying new text prompts using the Wan 2.6 Video to Video model. This allows you to modify or enhance videos with different styles, actions, or themes while preserving the original video structure.

File Upload Requirements#

Before using this API, you need to upload your video files:

Step 1: Upload Video#

Use the File Upload API to upload your source video.
File Upload API - Learn how to upload videos and get file URLs

Step 2: Get File URL#

After upload, you'll receive a file URL that you can use in the video_urls parameter.
Supported formats: MP4, QuickTime, Matroska
Maximum file size: 10MB
Maximum 3 video URLs per request
Video content should be appropriate and follow usage guidelines

Usage Examples#

Use descriptive prompts to specify how you want the video to change
The model preserves the original video timing and structure
Experiment with different prompt styles to achieve desired results

Query Task Status#

After submitting a task, use the unified query endpoint to check progress and retrieve results:
Get Task Details
Learn how to query task status and retrieve generation results
For production use, we recommend using the callBackUrl parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.

Related Resources#

Market Overview
Explore all available models
Common API
Check credits and account usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟒200
application/json
Request successful
Bodyapplication/json

πŸ”΄500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "wan/2-6-video-to-video",
    "callBackUrl": "https://your-domain.com/api/callback",
    "input": {
        "prompt": "The video drinks milk tea while doing some improvised dance moves to the music.",
        "video_urls": [
            "https://static.aiquickdraw.com/tools/example/1765957777782_cNJpvhRx.mp4"
        ],
        "duration": "5",
        "resolution": "1080p",
        "nsfw_checker": false
    }
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task_wan_1765967743009"
    }
}
Previous
Wan 2.6 - Text to Video
Next
Wan 2.7 - Text to Video
Built with